Export Class

This abstract classes provides all the common methods and variables for the custom export classes.

package | phpLDAPadmin
subpackage | Export

### Methods

## accept()

    accept()

## isCompressed()

    isCompressed()

## getHeader()

    getHeader()

## Return this LDAP Server object

    getServer() : object

### Returns

`object`DataStore Server

## Return the LDAP server ID

    getServerID() : int

### Returns

`int`Server ID

## Helper method to check if the attribute value should be base 64 encoded.

    isSafeAscii(\The $str) : boolean

### Parameters

#### $str

`\The`

string to check.

### Returns

`boolean`true if the string is safe ascii, false otherwise.

### Properties

## $br

    $br

## $compress

    $compress

## $items

    $items

## $results

    $results

## $resultsdata

    $resultsdata